Skip to main content
POST
/
enterprises
/
{enterprise_id}
/
reputation
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const reputation = await client.enterprises.reputation.create(
  '6a09cdc3-8948-47f0-aa62-74ac943d6c58',
  { loa_document_id: 'doc_01HXYZ1234ABCDEF' },
);

console.log(reputation.data);
{
  "data": {
    "enterprise_id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
    "status": "pending",
    "check_frequency": "business_daily",
    "loa_document_id": "<string>",
    "rejection_reasons": [
      "<string>"
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

enterprise_id
string<uuid>
required

Unique identifier of the enterprise (UUID)

Example:

"6a09cdc3-8948-47f0-aa62-74ac943d6c58"

Body

application/json
loa_document_id
string
required

ID of the signed Letter of Authorization (LOA) document uploaded to the document service

Required string length: 1 - 255
Example:

"doc_01HXYZ1234ABCDEF"

check_frequency
enum<string>
default:business_daily

Frequency for automatically refreshing reputation data

Available options:
business_daily,
daily,
weekly,
biweekly,
monthly,
never

Response

Reputation settings created (pending admin approval)

data
object